curl --request POST \
--url https://api.cadanapay.com/v1/sandbox/users/{userId}/virtual-accounts/{virtualAccountId}/deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": {
"amount": 10000,
"currency": "USD"
},
"reference": "c06f3427-3bbe-4d70-9a54-28acda267e48",
"description": "Payroll 10/10"
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Simulate a virtual account deposit for an active virtual account
curl --request POST \
--url https://api.cadanapay.com/v1/sandbox/users/{userId}/virtual-accounts/{virtualAccountId}/deposit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": {
"amount": 10000,
"currency": "USD"
},
"reference": "c06f3427-3bbe-4d70-9a54-28acda267e48",
"description": "Payroll 10/10"
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier for the user
"c06f3427-3bbe-4d70-9a54-28acda267e48"
The unique identifier for the virtual account
"c06f3427-3bbe-4d70-9a54-28acda267e48"
Successful operation